<?php
$tdatasupplier_advance_cut = array();
$tdatasupplier_advance_cut[".searchableFields"] = array();
$tdatasupplier_advance_cut[".ShortName"] = "supplier_advance_cut";
$tdatasupplier_advance_cut[".OwnerID"] = "";
$tdatasupplier_advance_cut[".OriginalTable"] = "supplier_advance_cut";


$tdatasupplier_advance_cut[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\",\"list_add\",\"list_view\",\"list_view2\"],\"print\":[\"print1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasupplier_advance_cut[".originalPagesByType"] = $tdatasupplier_advance_cut[".pagesByType"];
$tdatasupplier_advance_cut[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\",\"list_add\",\"list_view\",\"list_view2\"],\"print\":[\"print1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasupplier_advance_cut[".originalPages"] = $tdatasupplier_advance_cut[".pages"];
$tdatasupplier_advance_cut[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print1\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasupplier_advance_cut[".originalDefaultPages"] = $tdatasupplier_advance_cut[".defaultPages"];

//	field labels
$fieldLabelssupplier_advance_cut = array();
$fieldToolTipssupplier_advance_cut = array();
$pageTitlessupplier_advance_cut = array();
$placeHolderssupplier_advance_cut = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssupplier_advance_cut["English"] = array();
	$fieldToolTipssupplier_advance_cut["English"] = array();
	$placeHolderssupplier_advance_cut["English"] = array();
	$pageTitlessupplier_advance_cut["English"] = array();
	$fieldLabelssupplier_advance_cut["English"]["id"] = "Id";
	$fieldToolTipssupplier_advance_cut["English"]["id"] = "";
	$placeHolderssupplier_advance_cut["English"]["id"] = "";
	$fieldLabelssupplier_advance_cut["English"]["advance_id"] = "Advance Id";
	$fieldToolTipssupplier_advance_cut["English"]["advance_id"] = "";
	$placeHolderssupplier_advance_cut["English"]["advance_id"] = "";
	$fieldLabelssupplier_advance_cut["English"]["amount"] = "Amount";
	$fieldToolTipssupplier_advance_cut["English"]["amount"] = "";
	$placeHolderssupplier_advance_cut["English"]["amount"] = "";
	$fieldLabelssupplier_advance_cut["English"]["date_time"] = "Date Time";
	$fieldToolTipssupplier_advance_cut["English"]["date_time"] = "";
	$placeHolderssupplier_advance_cut["English"]["date_time"] = "";
	$fieldLabelssupplier_advance_cut["English"]["pur_id"] = "Pur Id";
	$fieldToolTipssupplier_advance_cut["English"]["pur_id"] = "";
	$placeHolderssupplier_advance_cut["English"]["pur_id"] = "";
	$fieldLabelssupplier_advance_cut["English"]["max_amount"] = "Max Amount";
	$fieldToolTipssupplier_advance_cut["English"]["max_amount"] = "";
	$placeHolderssupplier_advance_cut["English"]["max_amount"] = "";
	if (count($fieldToolTipssupplier_advance_cut["English"]))
		$tdatasupplier_advance_cut[".isUseToolTips"] = true;
}


	$tdatasupplier_advance_cut[".NCSearch"] = true;



$tdatasupplier_advance_cut[".shortTableName"] = "supplier_advance_cut";
$tdatasupplier_advance_cut[".nSecOptions"] = 0;

$tdatasupplier_advance_cut[".mainTableOwnerID"] = "";
$tdatasupplier_advance_cut[".entityType"] = 0;
$tdatasupplier_advance_cut[".connId"] = "test2_at_localhost";


$tdatasupplier_advance_cut[".strOriginalTableName"] = "supplier_advance_cut";

	



$tdatasupplier_advance_cut[".showAddInPopup"] = false;

$tdatasupplier_advance_cut[".showEditInPopup"] = false;

$tdatasupplier_advance_cut[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasupplier_advance_cut[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasupplier_advance_cut[".listAjax"] = false;
//	temporary
$tdatasupplier_advance_cut[".listAjax"] = false;

	$tdatasupplier_advance_cut[".audit"] = true;

	$tdatasupplier_advance_cut[".locking"] = false;


$pages = $tdatasupplier_advance_cut[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasupplier_advance_cut[".edit"] = true;
	$tdatasupplier_advance_cut[".afterEditAction"] = 1;
	$tdatasupplier_advance_cut[".closePopupAfterEdit"] = 1;
	$tdatasupplier_advance_cut[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasupplier_advance_cut[".add"] = true;
$tdatasupplier_advance_cut[".afterAddAction"] = 1;
$tdatasupplier_advance_cut[".closePopupAfterAdd"] = 1;
$tdatasupplier_advance_cut[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasupplier_advance_cut[".list"] = true;
}



$tdatasupplier_advance_cut[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasupplier_advance_cut[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasupplier_advance_cut[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasupplier_advance_cut[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasupplier_advance_cut[".printFriendly"] = true;
}



$tdatasupplier_advance_cut[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasupplier_advance_cut[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasupplier_advance_cut[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasupplier_advance_cut[".isUseAjaxSuggest"] = true;

$tdatasupplier_advance_cut[".rowHighlite"] = true;



																																																																																																																																																																																																												

$tdatasupplier_advance_cut[".ajaxCodeSnippetAdded"] = false;

$tdatasupplier_advance_cut[".buttonsAdded"] = false;

$tdatasupplier_advance_cut[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasupplier_advance_cut[".isUseTimeForSearch"] = false;


$tdatasupplier_advance_cut[".badgeColor"] = "d2af80";


$tdatasupplier_advance_cut[".allSearchFields"] = array();
$tdatasupplier_advance_cut[".filterFields"] = array();
$tdatasupplier_advance_cut[".requiredSearchFields"] = array();

$tdatasupplier_advance_cut[".googleLikeFields"] = array();
$tdatasupplier_advance_cut[".googleLikeFields"][] = "id";
$tdatasupplier_advance_cut[".googleLikeFields"][] = "advance_id";
$tdatasupplier_advance_cut[".googleLikeFields"][] = "amount";
$tdatasupplier_advance_cut[".googleLikeFields"][] = "date_time";
$tdatasupplier_advance_cut[".googleLikeFields"][] = "pur_id";
$tdatasupplier_advance_cut[".googleLikeFields"][] = "max_amount";



$tdatasupplier_advance_cut[".tableType"] = "list";

$tdatasupplier_advance_cut[".printerPageOrientation"] = 0;
$tdatasupplier_advance_cut[".nPrinterPageScale"] = 100;

$tdatasupplier_advance_cut[".nPrinterSplitRecords"] = 40;

$tdatasupplier_advance_cut[".geocodingEnabled"] = false;










$tdatasupplier_advance_cut[".pageSize"] = 20;

$tdatasupplier_advance_cut[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasupplier_advance_cut[".strOrderBy"] = $tstrOrderBy;

$tdatasupplier_advance_cut[".orderindexes"] = array();


$tdatasupplier_advance_cut[".sqlHead"] = "SELECT id,  	advance_id,  	amount,  	date_time,  	pur_id,  	max_amount";
$tdatasupplier_advance_cut[".sqlFrom"] = "FROM supplier_advance_cut";
$tdatasupplier_advance_cut[".sqlWhereExpr"] = "";
$tdatasupplier_advance_cut[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasupplier_advance_cut[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasupplier_advance_cut[".arrGroupsPerPage"] = $arrGPP;

$tdatasupplier_advance_cut[".highlightSearchResults"] = true;

$tableKeyssupplier_advance_cut = array();
$tableKeyssupplier_advance_cut[] = "id";
$tdatasupplier_advance_cut[".Keys"] = $tableKeyssupplier_advance_cut;


$tdatasupplier_advance_cut[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["id"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "id";
//	advance_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "advance_id";
	$fdata["GoodName"] = "advance_id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","advance_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "advance_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "advance_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["advance_id"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "advance_id";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["amount"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "amount";
//	date_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "date_time";
	$fdata["GoodName"] = "date_time";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","date_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["date_time"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "date_time";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","pur_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["pur_id"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "pur_id";
//	max_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "max_amount";
	$fdata["GoodName"] = "max_amount";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("supplier_advance_cut","max_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "max_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "max_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasupplier_advance_cut["max_amount"] = $fdata;
		$tdatasupplier_advance_cut[".searchableFields"][] = "max_amount";


$tables_data["supplier_advance_cut"]=&$tdatasupplier_advance_cut;
$field_labels["supplier_advance_cut"] = &$fieldLabelssupplier_advance_cut;
$fieldToolTips["supplier_advance_cut"] = &$fieldToolTipssupplier_advance_cut;
$placeHolders["supplier_advance_cut"] = &$placeHolderssupplier_advance_cut;
$page_titles["supplier_advance_cut"] = &$pageTitlessupplier_advance_cut;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["supplier_advance_cut"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["supplier_advance_cut"] = array();



	
				$strOriginalDetailsTable="purchasing";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="Advance_purchasing";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "advance_purchasing";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["supplier_advance_cut"][0] = $masterParams;
				$masterTablesData["supplier_advance_cut"][0]["masterKeys"] = array();
	$masterTablesData["supplier_advance_cut"][0]["masterKeys"][]="id";
				$masterTablesData["supplier_advance_cut"][0]["masterKeys"][]="advance_id";
				$masterTablesData["supplier_advance_cut"][0]["masterKeys"][]="left_advance";
				$masterTablesData["supplier_advance_cut"][0]["detailKeys"] = array();
	$masterTablesData["supplier_advance_cut"][0]["detailKeys"][]="pur_id";
				$masterTablesData["supplier_advance_cut"][0]["detailKeys"][]="advance_id";
				$masterTablesData["supplier_advance_cut"][0]["detailKeys"][]="max_amount";
		
	
				$strOriginalDetailsTable="purchasing";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="Purchasing List";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "purchasing_list";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["supplier_advance_cut"][1] = $masterParams;
				$masterTablesData["supplier_advance_cut"][1]["masterKeys"] = array();
	$masterTablesData["supplier_advance_cut"][1]["masterKeys"][]="id";
				$masterTablesData["supplier_advance_cut"][1]["detailKeys"] = array();
	$masterTablesData["supplier_advance_cut"][1]["detailKeys"][]="pur_id";
		
	
				$strOriginalDetailsTable="purchasing";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="purchasing_list2";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "purchasing_list2";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["supplier_advance_cut"][2] = $masterParams;
				$masterTablesData["supplier_advance_cut"][2]["masterKeys"] = array();
	$masterTablesData["supplier_advance_cut"][2]["masterKeys"][]="id";
				$masterTablesData["supplier_advance_cut"][2]["detailKeys"] = array();
	$masterTablesData["supplier_advance_cut"][2]["detailKeys"][]="pur_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_supplier_advance_cut()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	advance_id,  	amount,  	date_time,  	pur_id,  	max_amount";
$proto0["m_strFrom"] = "FROM supplier_advance_cut";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "supplier_advance_cut";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "advance_id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto8["m_sql"] = "advance_id";
$proto8["m_srcTableName"] = "supplier_advance_cut";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto10["m_sql"] = "amount";
$proto10["m_srcTableName"] = "supplier_advance_cut";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "date_time",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto12["m_sql"] = "date_time";
$proto12["m_srcTableName"] = "supplier_advance_cut";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto14["m_sql"] = "pur_id";
$proto14["m_srcTableName"] = "supplier_advance_cut";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "max_amount",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "supplier_advance_cut"
));

$proto16["m_sql"] = "max_amount";
$proto16["m_srcTableName"] = "supplier_advance_cut";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "supplier_advance_cut";
$proto19["m_srcTableName"] = "supplier_advance_cut";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id";
$proto19["m_columns"][] = "advance_id";
$proto19["m_columns"][] = "amount";
$proto19["m_columns"][] = "date_time";
$proto19["m_columns"][] = "pur_id";
$proto19["m_columns"][] = "max_amount";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "supplier_advance_cut";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "supplier_advance_cut";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="supplier_advance_cut";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_supplier_advance_cut = createSqlQuery_supplier_advance_cut();


	
		;

						

$tdatasupplier_advance_cut[".sqlquery"] = $queryData_supplier_advance_cut;



include_once(getabspath("include/supplier_advance_cut_events.php"));
$tableEvents["supplier_advance_cut"] = new eventclass_supplier_advance_cut;
$tdatasupplier_advance_cut[".hasEvents"] = true;

?>